
 EXEC P_ALTERPK 'PK_T_DMW_MODULE', 'T_DMW_MODULE', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MODULE' AND KSQL_INDNAME = 'IDX_DMW_MODULE_FNUMBER') CREATE INDEX IDX_DMW_MODULE_FNUMBER ON T_DMW_MODULE (FNUMBER);

 EXEC P_ALTERPK 'PK_T_DMW_MODULE_L', 'T_DMW_MODULE_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_DMW_MODULE_L_ID') CREATE INDEX IDX_T_DMW_MODULE_L_ID ON T_DMW_MODULE_L ( FID ,FLOCALEID );
 
 EXEC P_ALTERPK 'PK_T_DMW_RELYMODULE', 'T_DMW_RELYMODULE', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_RELYMODULE' AND KSQL_INDNAME = 'IDX_DMW_RELYMODULE_FID') CREATE INDEX IDX_DMW_RELYMODULE_FID ON T_DMW_RELYMODULE (FID);
 
 EXEC P_ALTERPK 'PK_T_DMW_MIGRATION_EASOBJECT', 'T_DMW_MIGRATION_EASOBJECT', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_MIGRATION_EASOBJECT' AND KSQL_INDNAME = 'IDX_MIGRATION_EASOBJECT_FUM') CREATE INDEX IDX_MIGRATION_EASOBJECT_FUM ON T_DMW_MIGRATION_EASOBJECT (FNUMBER);

 EXEC P_ALTERPK 'PK_T_DMW_MIGRATION_EASOBJECT_L', 'T_DMW_MIGRATION_EASOBJECT_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DMW_MIGRATION_EASOBJ_L_ID') CREATE INDEX IDX_DMW_MIGRATION_EASOBJ_L_ID ON T_DMW_MIGRATION_EASOBJECT_L ( FID ,FLOCALEID );
 
 EXEC P_ALTERPK 'PK_T_DMW_EASOBJECT_TARGETS', 'T_DMW_EASOBJECT_TARGETS', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_EASOBJECT_TARGETS' AND KSQL_INDNAME = 'IDX_DMW_EASOBJ_TARGETS_FID') CREATE INDEX IDX_DMW_EASOBJ_TARGETS_FID ON T_DMW_EASOBJECT_TARGETS (FID);
 
 EXEC P_ALTERPK 'PK_T_DMW_EASOBJECT_SOURCES', 'T_DMW_EASOBJECT_SOURCES', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_EASOBJECT_SOURCES' AND KSQL_INDNAME = 'IDX_DMW_EASOBJECT_SOURCES_FID') CREATE INDEX IDX_DMW_EASOBJECT_SOURCES_FID ON T_DMW_EASOBJECT_SOURCES (FID);
 
 EXEC P_ALTERPK 'PK_T_DMW_EASOBJECT_RELYS', 'T_DMW_EASOBJECT_RELYS', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_EASOBJECT_RELYS' AND KSQL_INDNAME = 'IDX_DMW_EASOBJECT_RELYS_FID') CREATE INDEX IDX_DMW_EASOBJECT_RELYS_FID ON T_DMW_EASOBJECT_RELYS (FID);