
 EXEC P_ALTERPK 'PK_T_DMW_SCHEME_EAS', 'T_DMW_SCHEME_EAS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_SCHEME_EAS' AND KSQL_INDNAME = 'IDX_DMW_SCHEME_EAS_NUM') CREATE INDEX IDX_DMW_SCHEME_EAS_NUM ON T_DMW_SCHEME_EAS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DMW_SCHEME_EAS_L', 'T_DMW_SCHEME_EAS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_SCHEME_EAS_L' AND KSQL_INDNAME = 'IDX_DMW_SCHEME_EAS_L_ID') CREATE INDEX IDX_DMW_SCHEME_EAS_L_ID ON T_DMW_SCHEME_EAS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_DMW_SCHEME_EAS_ENTRY', 'T_DMW_SCHEME_EAS_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_SCHEME_EAS_ENTRY' AND KSQL_INDNAME = 'IDX_DMW_SCHEME_EAS_ENTRY_FID') CREATE INDEX IDX_DMW_SCHEME_EAS_ENTRY_FID ON T_DMW_SCHEME_EAS_ENTRY ( FID );

 
 EXEC P_ALTERPK 'PK_T_DMW_SCHEME_GROUP', 'T_DMW_SCHEME_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_SCHEME_GROUP' AND KSQL_INDNAME = 'IDX_DMW_SCHEME_GROUP_NUM') CREATE INDEX IDX_DMW_SCHEME_GROUP_NUM ON T_DMW_SCHEME_GROUP ( FNUMBER );

  EXEC P_ALTERPK 'PK_T_DMW_SCHEME_GROUP_L', 'T_DMW_SCHEME_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_SCHEME_GROUP_L' AND KSQL_INDNAME = 'IDX_DMW_SCHEME_GROUP_L_ID') CREATE INDEX IDX_DMW_SCHEME_GROUP_L_ID ON T_DMW_SCHEME_GROUP_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_T_DMW_CHECKITEM_EAS', 'T_DMW_CHECKITEM_EAS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_CHECKITEM_EAS' AND KSQL_INDNAME = 'IDX_DMW_CHECKITEM_EAS_NUM') CREATE INDEX IDX_DMW_CHECKITEM_EAS_NUM ON T_DMW_CHECKITEM_EAS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_DMW_CHECKITEM_EAS_L', 'T_DMW_CHECKITEM_EAS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_CHECKITEM_EAS_L' AND KSQL_INDNAME = 'IDX_DMW_CHECKITEM_EAS_L_ID') CREATE INDEX IDX_DMW_CHECKITEM_EAS_L_ID ON T_DMW_CHECKITEM_EAS_L ( FID ,FLOCALEID );
