/**Begin D:\pdm\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\DMW_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_CHECKITEM_EAS_E') 
 CREATE TABLE T_DMW_CHECKITEM_EAS_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISDEFAULTREPAIR CHAR(1) DEFAULT ' ' NOT NULL,
FCHECKREPAIRTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FREPAIRILLUST NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISSUPPORTREPAIR CHAR(1) DEFAULT ' ' NOT NULL,
FREPAIRMETHOD CHAR(1) DEFAULT ' ' NOT NULL,
FREPAIRPLUGIN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPAIRMICRO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREPAIRPAGE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMUNITY NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_REPAIR_LOG') 
 CREATE TABLE T_DMW_REPAIR_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKITEM BIGINT DEFAULT 0 NOT NULL,
FMIGRATEPROJECT BIGINT DEFAULT 0 NOT NULL,
FCHECKSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCHECKDETAIL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCHECKDETAIL_TAG NCLOB DEFAULT ' ',
FREPAIRTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FREPAIRILLUST NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPAIRPLUGIN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPAIRSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSUCCESSCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFAILCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPAIRLOG NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREPAIRLOG_TAG NCLOB DEFAULT ' ',
FTRACEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATOR BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FTIMECONSUM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_REPAIR_LOG_L') 
 CREATE TABLE T_DMW_REPAIR_LOG_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\pdm\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\DMW_table.sql **/
