-- 迁移组织信息表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_EASORGINFO') 
 CREATE TABLE T_DMW_EASORGINFO (
FID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTID VARCHAR(255) DEFAULT ' ' NOT NULL,
FORGPATTERN VARCHAR(255) DEFAULT ' ' NOT NULL,
FEASDATACENTERID VARCHAR(255) DEFAULT ' ' NOT NULL,
FEASORGID NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_EASORGINFO_L') 
 CREATE TABLE T_DMW_EASORGINFO_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


 EXEC P_ALTERPK 'PK_T_DMW_EASORGINFO', 'T_DMW_EASORGINFO', 'FID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_DMW_EASORGINFO' AND KSQL_INDNAME = 'IDX_T_DMW_EASORGINFO_FNUMBER') CREATE INDEX IDX_T_DMW_EASORGINFO_FNUMBER ON T_DMW_EASORGINFO (FNUMBER);

 EXEC P_ALTERPK 'PK_T_DMW_EASORGINFO_L', 'T_DMW_EASORGINFO_L', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_DMW_EASORGINFO_L_ID') CREATE INDEX IDX_T_DMW_EASORGINFO_L_ID ON T_DMW_EASORGINFO_L ( FID ,FLOCALEID );