/**Begin D:\PDM_UPGRADE\PDM1\DMW_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT') 
 CREATE TABLE T_DMW_PROJECT (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(10) DEFAULT '1' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FPROJECTSTATUS VARCHAR(10) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECT_L') 
 CREATE TABLE T_DMW_PROJECT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECTENTRY_L') 
 CREATE TABLE T_DMW_PROJECTENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FMENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FDATADESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_PROJECTENTRY') 
 CREATE TABLE T_DMW_PROJECTENTRY (
FMENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATAOBJSEQ NVARCHAR(100) DEFAULT ' ',
FDATAOBJID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDATATEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FDATADESCRIPTION NVARCHAR(255) DEFAULT ' ',
FENDDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_IMPORTRESULT_FILE') 
 CREATE TABLE T_DMW_IMPORTRESULT_FILE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_COLLECTRESULTENTRY') 
 CREATE TABLE T_DMW_COLLECTRESULTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FREPORTORID BIGINT DEFAULT 0 NOT NULL,
FREPORTSTATUS VARCHAR(10) DEFAULT '1' NOT NULL,
FFINISHUSERID BIGINT DEFAULT 0 NOT NULL,
FFINISHDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_DMW_IMPORTRESULTENTRY') 
 CREATE TABLE T_DMW_IMPORTRESULTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDATASTATUS VARCHAR(10) DEFAULT '1' NOT NULL,
FFILENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FERRORMSG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FLOGID BIGINT DEFAULT 0 NOT NULL,
FERRORFILE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FREPORTORGID BIGINT DEFAULT 0 NOT NULL,
FREPORTORID BIGINT DEFAULT 0 NOT NULL,
FREPORTDATE DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMDATE DATETIME,
FIMPORTORID BIGINT DEFAULT 0 NOT NULL,
FIMPORTDATE DATETIME
);



/**End D:\PDM_UPGRADE\PDM1\DMW_table.sql **/
